import QtQuick
import QtQuick.Controls
import QtQuick3D
import QtQuick3D.Helpers
import Outrun_Cluster 1.0
import QtQuick.Timeline 1.0
import QtQuick 2.15
import QtQuick.Studio.Effects 1.0
import QtQuick3D.Effects 6.2
import Quick3DAssets.Hyperdrive 1.0
import Quick3DAssets.Warp 1.0
import Quick3DAssets.Lanes 1.0
import Quick3DAssets.Cluster 1.0
import QtQuick3D.Particles3D 6.2

import Quick3DAssets.Gaugelines 1.0
import Quick3DAssets.AdasPlane 1.0
import Quick3DAssets.Car_Optimized_2 1.0
import Quick3DAssets.Desert_Enviroment 1.0
import Quick3DAssets.Car 1.0
import Quick3DAssets.Demo_City_Buildings 1.0
import Quick3DAssets.Demo_City_Ground 1.0
import "chargemenuSide"
import Quick3DAssets.AdasPlane2 1.0
import Quick3DAssets.PlaneBend3 1.0


Model {
    id: reflection_blocker
    source: "#Rectangle"
    z: -281.58521
    scale.z: 13.13025
    scale.y: 15.01299
    scale.x: 5.61524
    eulerRotation.x: 90
    eulerRotation.y: 0
    DefaultMaterial {
        id: reflection_blocker_material
        opacity: 1
        opacityMap: backlight_glow
        lighting: DefaultMaterial.NoLighting
        diffuseColor: "#ffedff"

        Texture {
            id: backlight_glow
            source: "images/backlight_glow.png"
            generateMipmaps: true
        }
    }
    states: [
        State {
            name: "day"
            when: !globalNightMode
        },
        State {
            name: "night"
            when: globalNightMode

            PropertyChanges {
                target: reflection_blocker_material
                opacity: 0.7
                diffuseColor: "#100819"
            }
        }
    ]
    materials: reflection_blocker_material
}

/*##^##
Designer {
    D{i:0;formeditorZoom:0.75}
}
##^##*/
