import QtQuick
import QtQuick.Controls
import QtQuick3D
import QtQuick3D.Helpers
import Outrun_Cluster 1.0
import QtQuick.Timeline 1.0
import QtQuick 2.15
import QtQuick.Studio.Effects 1.0
import QtQuick3D.Effects 6.2
import Quick3DAssets.Hyperdrive 1.0
import Quick3DAssets.Warp 1.0
import Quick3DAssets.Lanes 1.0
import Quick3DAssets.Cluster 1.0
import QtQuick3D.Particles3D 6.2
import Quick3DAssets.Gaugelines 1.0
import Quick3DAssets.AdasPlane 1.0
import Quick3DAssets.Car_Optimized_2 1.0
import Quick3DAssets.Desert_Enviroment 1.0
import Quick3DAssets.Car 1.0
import Quick3DAssets.Demo_City_Buildings 1.0
import Quick3DAssets.Demo_City_Ground 1.0
import "chargemenuSide"
import Quick3DAssets.AdasPlane2 1.0
import Quick3DAssets.PlaneBend3 1.0

SpotLight {
    id: spotBackLight
    visible: false
    color: "#ff0404"
    states: [
        State {
            name: "daybackLight"
            when: !globalNightMode

            PropertyChanges {
                target: spotBackLight
                visible: false
                color: "#101010"
            }
        },
        State {
            name: "nightbackLight"
            when: globalNightMode

            PropertyChanges {
                target: spotBackLight
                visible: true
                brightness: 30
            }
        }
    ]
    eulerRotation.z: -0
    eulerRotation.y: 0
    eulerRotation.x: -52.4923
    quadraticFade: 10
    coneAngle: 137
    innerConeAngle: 22
    z: -229.34106
    brightness: 0
}
